def extractWords(line):
    ''' Returns the list of all words in line '''
    # (could use split with a regex instead)
    words = []
    i = 0
    while i < len(line):
        while i < len(line) and not line[i].isalpha():
            i += 1
        j = i
        while j < len(line) and line[j].isalpha():
            j += 1
        if j > i:
            words.append(line[i:j])
        i = j
    return words

fileName = input("Text file name: ")
f = open(fileName)
wordCounts = {}

for line in f:
    words = extractWords(line)
    for word in words:
        word = word.lower()
        if word in wordCounts:
            wordCounts[word] += 1
        else:
            wordCounts[word] = 1
f.close()

def secondInPair(pair):
    return pair[1]

pairs = list(wordCounts.items())
pairs.sort(key=secondInPair, reverse=True)
for pair in pairs[:10] :
    print("{0:15s} {1:7d}".format(pair[0], pair[1]))

print()

pairs = [pair for pair in wordCounts.items() if len(pair[0]) >= 5]
pairs.sort(key=secondInPair, reverse=True)
for pair in pairs[:10] :
    print("{0:15s} {1:7d}".format(pair[0], pair[1]))
